zenilib: zenilib/jni/external/libpng/pngget.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngget.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

static png_fixed_point | png_fixed_inches_from_microns (png_structp png_ptr, png_int_32 microns)
png_byte PNGAPI | png_get_bit_depth (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_bKGD (png_const_structp png_ptr, png_infop info_ptr, png_color_16p *background)
png_byte PNGAPI | png_get_channels (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_cHRM (png_const_structp png_ptr, png_const_infop info_ptr, double *white_x, double *white_y, double *red_x, double *red_y, double *green_x, double *green_y, double *blue_x, double *blue_y)
png_uint_32 PNGAPI | png_get_cHRM_fixed (png_const_structp png_ptr, png_const_infop info_ptr, png_fixed_point *white_x, png_fixed_point *white_y, png_fixed_point *red_x, png_fixed_point *red_y, png_fixed_point *green_x, png_fixed_point *green_y, png_fixed_point *blue_x, png_fixed_point *blue_y)
png_uint_32 PNGAPI | png_get_cHRM_XYZ (png_structp png_ptr, png_const_infop info_ptr, double *red_X, double *red_Y, double *red_Z, double *green_X, double *green_Y, double *green_Z, double *blue_X, double *blue_Y, double *blue_Z)
png_uint_32 PNGFAPI | png_get_cHRM_XYZ_fixed (png_structp png_ptr, png_const_infop info_ptr, png_fixed_point *int_red_X, png_fixed_point *int_red_Y, png_fixed_point *int_red_Z, png_fixed_point *int_green_X, png_fixed_point *int_green_Y, png_fixed_point *int_green_Z, png_fixed_point *int_blue_X, png_fixed_point *int_blue_Y, png_fixed_point *int_blue_Z)
png_uint_32 PNGAPI | png_get_chunk_cache_max (png_const_structp png_ptr)
png_alloc_size_t PNGAPI | png_get_chunk_malloc_max (png_const_structp png_ptr)
png_byte PNGAPI | png_get_color_type (png_const_structp png_ptr, png_const_infop info_ptr)
png_size_t PNGAPI | png_get_compression_buffer_size (png_const_structp png_ptr)
png_byte PNGAPI | png_get_compression_type (png_const_structp png_ptr, png_const_infop info_ptr)
png_byte PNGAPI | png_get_filter_type (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_gAMA (png_const_structp png_ptr, png_const_infop info_ptr, double *file_gamma)
png_uint_32 PNGFAPI | png_get_gAMA_fixed (png_const_structp png_ptr, png_const_infop info_ptr, png_fixed_point *file_gamma)
png_uint_32 PNGAPI | png_get_hIST (png_const_structp png_ptr, png_const_infop info_ptr, png_uint_16p *hist)
png_uint_32 PNGAPI | png_get_iCCP (png_const_structp png_ptr, png_const_infop info_ptr, png_charpp name, int *compression_type, png_bytepp profile, png_uint_32 *proflen)
png_uint_32 PNGAPI | png_get_IHDR (png_structp png_ptr, png_infop info_ptr, png_uint_32 *width, png_uint_32 *height, int *bit_depth, int *color_type, int *interlace_type, int *compression_type, int *filter_type)
png_uint_32 PNGAPI | png_get_image_height (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_image_width (png_const_structp png_ptr, png_const_infop info_ptr)
png_byte PNGAPI | png_get_interlace_type (png_const_structp png_ptr, png_const_infop info_ptr)
png_const_bytep PNGAPI | png_get_io_chunk_name (png_structp png_ptr)
png_uint_32 PNGAPI | png_get_io_chunk_type (png_const_structp png_ptr)
png_uint_32 PNGAPI | png_get_io_state (png_structp png_ptr)
png_uint_32 PNGAPI | png_get_oFFs (png_const_structp png_ptr, png_const_infop info_ptr, png_int_32 *offset_x, png_int_32 *offset_y, int *unit_type)
png_uint_32 PNGAPI | png_get_pCAL (png_const_structp png_ptr, png_const_infop info_ptr, png_charp *purpose, png_int_32 *X0, png_int_32 *X1, int *type, int *nparams, png_charp *units, png_charpp *params)
png_uint_32 PNGAPI | png_get_pHYs (png_const_structp png_ptr, png_const_infop info_ptr, png_uint_32 *res_x, png_uint_32 *res_y, int *unit_type)
png_uint_32 PNGAPI | png_get_pHYs_dpi (png_const_structp png_ptr, png_const_infop info_ptr, png_uint_32 *res_x, png_uint_32 *res_y, int *unit_type)
float PNGAPI | png_get_pixel_aspect_ratio (png_const_structp png_ptr, png_const_infop info_ptr)
png_fixed_point PNGAPI | png_get_pixel_aspect_ratio_fixed (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_pixels_per_inch (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_pixels_per_meter (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_PLTE (png_const_structp png_ptr, png_const_infop info_ptr, png_colorp *palette, int *num_palette)
png_byte PNGAPI | png_get_rgb_to_gray_status (png_const_structp png_ptr)
png_size_t PNGAPI | png_get_rowbytes (png_const_structp png_ptr, png_const_infop info_ptr)
png_bytepp PNGAPI | png_get_rows (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_sBIT (png_const_structp png_ptr, png_infop info_ptr, png_color_8p *sig_bit)
png_uint_32 PNGAPI | png_get_sCAL (png_const_structp png_ptr, png_const_infop info_ptr, int *unit, double *width, double *height)
png_uint_32 PNGAPI | png_get_sCAL_fixed (png_structp png_ptr, png_const_infop info_ptr, int *unit, png_fixed_point *width, png_fixed_point *height)
png_uint_32 PNGAPI | png_get_sCAL_s (png_const_structp png_ptr, png_const_infop info_ptr, int *unit, png_charpp width, png_charpp height)
png_const_bytep PNGAPI | png_get_signature (png_const_structp png_ptr, png_infop info_ptr)
png_uint_32 PNGAPI | png_get_sPLT (png_const_structp png_ptr, png_const_infop info_ptr, png_sPLT_tpp spalettes)
png_uint_32 PNGAPI | png_get_sRGB (png_const_structp png_ptr, png_const_infop info_ptr, int *file_srgb_intent)
png_uint_32 PNGAPI | png_get_text (png_const_structp png_ptr, png_const_infop info_ptr, png_textp *text_ptr, int *num_text)
png_uint_32 PNGAPI | png_get_tIME (png_const_structp png_ptr, png_infop info_ptr, png_timep *mod_time)
png_uint_32 PNGAPI | png_get_tRNS (png_const_structp png_ptr, png_infop info_ptr, png_bytep *trans_alpha, int *num_trans, png_color_16p *trans_color)
int PNGAPI | png_get_unknown_chunks (png_const_structp png_ptr, png_const_infop info_ptr, png_unknown_chunkpp unknowns)
png_voidp PNGAPI | png_get_user_chunk_ptr (png_const_structp png_ptr)
png_uint_32 PNGAPI | png_get_user_height_max (png_const_structp png_ptr)
png_uint_32 PNGAPI | png_get_user_width_max (png_const_structp png_ptr)
png_uint_32 PNGAPI | png_get_valid (png_const_structp png_ptr, png_const_infop info_ptr, png_uint_32 flag)
float PNGAPI | png_get_x_offset_inches (png_const_structp png_ptr, png_const_infop info_ptr)
png_fixed_point PNGAPI | png_get_x_offset_inches_fixed (png_structp png_ptr, png_const_infop info_ptr)
png_int_32 PNGAPI | png_get_x_offset_microns (png_const_structp png_ptr, png_const_infop info_ptr)
png_int_32 PNGAPI | png_get_x_offset_pixels (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_x_pixels_per_inch (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_x_pixels_per_meter (png_const_structp png_ptr, png_const_infop info_ptr)
float PNGAPI | png_get_y_offset_inches (png_const_structp png_ptr, png_const_infop info_ptr)
png_fixed_point PNGAPI | png_get_y_offset_inches_fixed (png_structp png_ptr, png_const_infop info_ptr)
png_int_32 PNGAPI | png_get_y_offset_microns (png_const_structp png_ptr, png_const_infop info_ptr)
png_int_32 PNGAPI | png_get_y_offset_pixels (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_y_pixels_per_inch (png_const_structp png_ptr, png_const_infop info_ptr)
png_uint_32 PNGAPI | png_get_y_pixels_per_meter (png_const_structp png_ptr, png_const_infop info_ptr)
static png_uint_32 | ppi_from_ppm (png_uint_32 ppm)

## Function Documentation

static png_fixed_point png_fixed_inches_from_microns | ( | png_structp | png_ptr,
|  | png_int_32 | microns
| ) |  |

static

Definition at line 329 of file pngget.c.

References png_muldiv_warn().

Referenced by png_get_x_offset_inches_fixed(), and png_get_y_offset_inches_fixed().

png_byte PNGAPI png_get_bit_depth | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 70 of file pngget.c.

References NULL.

png_uint_32 PNGAPI png_get_bKGD | ( | png_const_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_color_16p * | background
| ) |  |

Definition at line 445 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_bKGD.

Referenced by test_one_file().

png_byte PNGAPI png_get_channels | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 426 of file pngget.c.

References NULL.

png_uint_32 PNGAPI png_get_cHRM | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | double * | white_x,
|  | double * | white_y,
|  | double * | red_x,
|  | double * | red_y,
|  | double * | green_x,
|  | double * | green_y,
|  | double * | blue_x,
|  | double * | blue_y
| ) |  |

Definition at line 523 of file pngget.c.

References NULL, png_debug1, png_float, and PNG_INFO_cHRM.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_cHRM_fixed | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_fixed_point * | white_x,
|  | png_fixed_point * | white_y,
|  | png_fixed_point * | red_x,
|  | png_fixed_point * | red_y,
|  | png_fixed_point * | green_x,
|  | png_fixed_point * | green_y,
|  | png_fixed_point * | blue_x,
|  | png_fixed_point * | blue_y
| ) |  |

Definition at line 592 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_cHRM.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_cHRM_XYZ | ( | png_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | double * | red_X,
|  | double * | red_Y,
|  | double * | red_Z,
|  | double * | green_X,
|  | double * | green_Y,
|  | double * | green_Z,
|  | double * | blue_X,
|  | double * | blue_Y,
|  | double * | blue_Z
| ) |  |

Definition at line 554 of file pngget.c.

References png_XYZ::blueX, png_XYZ::blueY, png_XYZ::blueZ, png_XYZ::greenX, png_XYZ::greenY, png_XYZ::greenZ, NULL, png_float, png_get_cHRM_XYZ_fixed(), PNG_INFO_cHRM, png_XYZ::redX, png_XYZ::redY, and png_XYZ::redZ.

png_uint_32 PNGFAPI png_get_cHRM_XYZ_fixed | ( | png_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_fixed_point * | int_red_X,
|  | png_fixed_point * | int_red_Y,
|  | png_fixed_point * | int_red_Z,
|  | png_fixed_point * | int_green_X,
|  | png_fixed_point * | int_green_Y,
|  | png_fixed_point * | int_green_Z,
|  | png_fixed_point * | int_blue_X,
|  | png_fixed_point * | int_blue_Y,
|  | png_fixed_point * | int_blue_Z
| ) |  |

Definition at line 467 of file pngget.c.

References png_xy::bluex, png_XYZ::blueX, png_xy::bluey, png_XYZ::blueY, png_XYZ::blueZ, png_xy::greenx, png_XYZ::greenX, png_xy::greeny, png_XYZ::greenY, png_XYZ::greenZ, NULL, png_debug1, PNG_INFO_cHRM, png_XYZ_from_xy_checked(), png_xy::redx, png_XYZ::redX, png_xy::redy, png_XYZ::redY, png_XYZ::redZ, png_xy::whitex, and png_xy::whitey.

Referenced by png_get_cHRM_XYZ().

png_uint_32 PNGAPI png_get_chunk_cache_max | ( | png_const_structp | png_ptr | ) |

Definition at line 1089 of file pngget.c.

png_alloc_size_t PNGAPI png_get_chunk_malloc_max | ( | png_const_structp | png_ptr | ) |

Definition at line 1096 of file pngget.c.

png_byte PNGAPI png_get_color_type | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 79 of file pngget.c.

References NULL.

png_size_t PNGAPI png_get_compression_buffer_size | ( | png_const_structp | png_ptr | ) |

Definition at line 1067 of file pngget.c.

png_byte PNGAPI png_get_compression_type | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 106 of file pngget.c.

References NULL.

png_byte PNGAPI png_get_filter_type | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 88 of file pngget.c.

References NULL.

png_uint_32 PNGAPI png_get_gAMA | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | double * | file_gamma
| ) |  |

Definition at line 643 of file pngget.c.

References png_float, and png_get_gAMA_fixed().

Referenced by test_one_file().

png_uint_32 PNGFAPI png_get_gAMA_fixed | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_fixed_point * | file_gamma
| ) |  |

Definition at line 627 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_gAMA.

Referenced by png_get_gAMA(), and test_one_file().

png_uint_32 PNGAPI png_get_hIST | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_uint_16p * | hist
| ) |  |

Definition at line 719 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_hIST.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_iCCP | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_charpp | name,
|  | int * | compression_type,
|  | png_bytepp | profile,
|  | png_uint_32 * | proflen
| ) |  |

Definition at line 678 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_iCCP.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_IHDR | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 * | width,
|  | png_uint_32 * | height,
|  | int * | bit_depth,
|  | int * | color_type,
|  | int * | interlace_type,
|  | int * | compression_type,
|  | int * | filter_type
| ) |  |

Definition at line 736 of file pngget.c.

References NULL, png_check_IHDR(), and png_debug1.

Referenced by Zeni::Image::Image(), and test_one_file().

png_uint_32 PNGAPI png_get_image_height | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 61 of file pngget.c.

References NULL.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_image_width | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 52 of file pngget.c.

References NULL.

Referenced by test_one_file().

png_byte PNGAPI png_get_interlace_type | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 97 of file pngget.c.

References NULL.

png_const_bytep PNGAPI png_get_io_chunk_name | ( | png_structp | png_ptr | ) |

Definition at line 1117 of file pngget.c.

References PNG_CSTRING_FROM_CHUNK.

png_uint_32 PNGAPI png_get_io_chunk_type | ( | png_const_structp | png_ptr | ) |

Definition at line 1111 of file pngget.c.

png_uint_32 PNGAPI png_get_io_state | ( | png_structp | png_ptr | ) |

Definition at line 1105 of file pngget.c.

png_uint_32 PNGAPI png_get_oFFs | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_int_32 * | offset_x,
|  | png_int_32 * | offset_y,
|  | int * | unit_type
| ) |  |

Definition at line 776 of file pngget.c.

References int, NULL, png_debug1, PNG_INFO_oFFs, and return.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_pCAL | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_charp * | purpose,
|  | png_int_32 * | X0,
|  | png_int_32 * | X1,
|  | int * | type,
|  | int * | nparams,
|  | png_charp * | units,
|  | png_charpp * | params
| ) |  |

Definition at line 796 of file pngget.c.

References int, NULL, png_debug1, and PNG_INFO_pCAL.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_pHYs | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_uint_32 * | res_x,
|  | png_uint_32 * | res_y,
|  | int * | unit_type
| ) |  |

Definition at line 878 of file pngget.c.

References int, NULL, png_debug1, and PNG_INFO_pHYs.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_pHYs_dpi | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_uint_32 * | res_x,
|  | png_uint_32 * | res_y,
|  | int * | unit_type
| ) |  |

Definition at line 382 of file pngget.c.

References if(), int, NULL, png_debug1, and PNG_INFO_pHYs.

float PNGAPI png_get_pixel_aspect_ratio | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 167 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_pHYs.

png_fixed_point PNGAPI png_get_pixel_aspect_ratio_fixed | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 186 of file pngget.c.

References NULL, png_debug1, PNG_FP_1, PNG_INFO_pHYs, png_muldiv(), and PNG_UINT_31_MAX.

png_uint_32 PNGAPI png_get_pixels_per_inch | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 310 of file pngget.c.

References png_get_pixels_per_meter(), and ppi_from_ppm().

png_uint_32 PNGAPI png_get_pixels_per_meter | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 149 of file pngget.c.

References NULL, png_debug1, PNG_INFO_pHYs, and PNG_RESOLUTION_METER.

Referenced by png_get_pixels_per_inch().

png_uint_32 PNGAPI png_get_PLTE | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_colorp * | palette,
|  | int * | num_palette
| ) |  |

Definition at line 912 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_PLTE.

Referenced by test_one_file().

png_byte PNGAPI png_get_rgb_to_gray_status | ( | png_const_structp | png_ptr | ) |

Definition at line 1052 of file pngget.c.

png_size_t PNGAPI png_get_rowbytes | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 30 of file pngget.c.

References NULL.

Referenced by Zeni::Image::Image(), png_read_png(), and test_one_file().

png_bytepp PNGAPI png_get_rows | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 40 of file pngget.c.

References NULL.

png_uint_32 PNGAPI png_get_sBIT | ( | png_const_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_color_8p * | sig_bit
| ) |  |

Definition at line 931 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_sBIT.

Referenced by png_read_png(), and test_one_file().

png_uint_32 PNGAPI png_get_sCAL | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | int * | unit,
|  | double * | width,
|  | double * | height
| ) |  |

Definition at line 844 of file pngget.c.

References NULL, and PNG_INFO_sCAL.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_sCAL_fixed | ( | png_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | int * | unit,
|  | png_fixed_point * | width,
|  | png_fixed_point * | height
| ) |  |

Definition at line 824 of file pngget.c.

References NULL, png_fixed(), and PNG_INFO_sCAL.

png_uint_32 PNGAPI png_get_sCAL_s | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | int * | unit,
|  | png_charpp | width,
|  | png_charpp | height
| ) |  |

Definition at line 860 of file pngget.c.

References NULL, and PNG_INFO_sCAL.

Referenced by test_one_file().

png_const_bytep PNGAPI png_get_signature | ( | png_const_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 435 of file pngget.c.

References NULL.

png_uint_32 PNGAPI png_get_sPLT | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_sPLT_tpp | spalettes
| ) |  |

Definition at line 704 of file pngget.c.

References NULL.

png_uint_32 PNGAPI png_get_sRGB | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | int * | file_srgb_intent
| ) |  |

Definition at line 660 of file pngget.c.

References int, NULL, png_debug1, PNG_INFO_sRGB, and return.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_text | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_textp * | text_ptr,
|  | int * | num_text
| ) |  |

Definition at line 949 of file pngget.c.

References NULL, and png_debug1.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_tIME | ( | png_const_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_timep * | mod_time
| ) |  |

Definition at line 975 of file pngget.c.

References NULL, png_debug1, and PNG_INFO_tIME.

Referenced by test_one_file().

png_uint_32 PNGAPI png_get_tRNS | ( | png_const_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytep * | trans_alpha,
|  | int * | num_trans,
|  | png_color_16p * | trans_color
| ) |  |

Definition at line 992 of file pngget.c.

References NULL, PNG_COLOR_TYPE_PALETTE, png_debug1, and PNG_INFO_tRNS.

Referenced by test_one_file().

int PNGAPI png_get_unknown_chunks | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_unknown_chunkpp | unknowns
| ) |  |

Definition at line 1037 of file pngget.c.

References NULL.

Referenced by test_one_file().

png_voidp PNGAPI png_get_user_chunk_ptr | ( | png_const_structp | png_ptr | ) |

Definition at line 1060 of file pngget.c.

References NULL.

Referenced by read_user_chunk_callback().

png_uint_32 PNGAPI png_get_user_height_max | ( | png_const_structp | png_ptr | ) |

Definition at line 1082 of file pngget.c.

png_uint_32 PNGAPI png_get_user_width_max | ( | png_const_structp | png_ptr | ) |

Definition at line 1076 of file pngget.c.

png_uint_32 PNGAPI png_get_valid | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr,
|  | png_uint_32 | flag
| ) |  |

Definition at line 20 of file pngget.c.

References NULL.

Referenced by png_read_png().

float PNGAPI png_get_x_offset_inches | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 360 of file pngget.c.

References png_get_x_offset_microns().

png_fixed_point PNGAPI png_get_x_offset_inches_fixed | ( | png_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 340 of file pngget.c.

References png_fixed_inches_from_microns(), and png_get_x_offset_microns().

png_int_32 PNGAPI png_get_x_offset_microns | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 213 of file pngget.c.

References NULL, png_debug1, PNG_INFO_oFFs, and PNG_OFFSET_MICROMETER.

Referenced by png_get_x_offset_inches(), and png_get_x_offset_inches_fixed().

png_int_32 PNGAPI png_get_x_offset_pixels | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 245 of file pngget.c.

References NULL, png_debug1, PNG_INFO_oFFs, and PNG_OFFSET_PIXEL.

png_uint_32 PNGAPI png_get_x_pixels_per_inch | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 316 of file pngget.c.

References png_get_x_pixels_per_meter(), and ppi_from_ppm().

png_uint_32 PNGAPI png_get_x_pixels_per_meter | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 115 of file pngget.c.

References NULL, png_debug1, PNG_INFO_pHYs, and PNG_RESOLUTION_METER.

Referenced by png_get_x_pixels_per_inch().

float PNGAPI png_get_y_offset_inches | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 371 of file pngget.c.

References png_get_y_offset_microns().

png_fixed_point PNGAPI png_get_y_offset_inches_fixed | ( | png_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 350 of file pngget.c.

References png_fixed_inches_from_microns(), and png_get_y_offset_microns().

png_int_32 PNGAPI png_get_y_offset_microns | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 229 of file pngget.c.

References NULL, png_debug1, PNG_INFO_oFFs, and PNG_OFFSET_MICROMETER.

Referenced by png_get_y_offset_inches(), and png_get_y_offset_inches_fixed().

png_int_32 PNGAPI png_get_y_offset_pixels | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 261 of file pngget.c.

References NULL, png_debug1, PNG_INFO_oFFs, and PNG_OFFSET_PIXEL.

png_uint_32 PNGAPI png_get_y_pixels_per_inch | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 322 of file pngget.c.

References png_get_y_pixels_per_meter(), and ppi_from_ppm().

png_uint_32 PNGAPI png_get_y_pixels_per_meter | ( | png_const_structp | png_ptr,
|  | png_const_infop | info_ptr
| ) |  |

Definition at line 132 of file pngget.c.

References NULL, png_debug1, PNG_INFO_pHYs, and PNG_RESOLUTION_METER.

Referenced by png_get_y_pixels_per_inch().

static png_uint_32 ppi_from_ppm | ( | png_uint_32 | ppm | ) |

static

Definition at line 278 of file pngget.c.

References png_muldiv(), and PNG_UINT_31_MAX.

Referenced by png_get_pixels_per_inch(), png_get_x_pixels_per_inch(), and png_get_y_pixels_per_inch().